<html>
    <head>
        <title> Activity 1</title>
    </head>
    <body>

        <p><i><h4>Science and Engineering Ethics (2001) 7,231-238</i></h4></p>

        <hr>

        <p><h1>Software Engineering Code of Ethics and Professional Practice</h1></p>
        <p><h3>IEEE-CS/ASM Joint Task Force on Software Engineering Ethics and Professional Practices</h3></p>

        <hr>

        <p><b>Keywords:</b> code of ethics, professional responsibilities, software engineering</p>

        <h3>Preamble</h3>

        <p>The short version of the code summarizes aspirations at a high level 
            of abstraction. Theclauses that are included in the full version give
            examples and details of how theseaspirations change the way we act 
            as software engineering professionals. Without theaspirations,
            the details can become legalistic and tedious; without the details, 
            theaspirations can become high-sounding but empty; together, 
            the aspirations and thedetails form a cohesive code.
        </p>
        
        <p>
            Software engineers shall commit themselves to making the analysis, 
            specification,design, development, testing, and maintenance of software
             a beneficial and respectedprofession. In accordance with their commitment 
             to the health, safety, and welfare ofthe public, software engineers shall 
             adhere to the following eight Principles:

         </p>

        <h3>Principles</h3>

        <ol>
            <li><i>Public.</i>Software engineers shall act consistently with the public interest</li>
            <li><i>Client and employer.</i>Software engineers shall act in a manner that is in the
             bestinterests of their client and employer, consistent with the public interest.</li>
            <li><i>Product.</i> Software engineers shall ensure that their products and 
            relatedmodifications meet the highest professional standards possible.</li>
            <li><i>udgment.</i>Software engineers shall maintain integrity and independence in theirprofessional judgment.</li>
            <li><i>Management.</i> Software engineering managers and leaders shall subscribe to andpromote an ethical approach
             to the management of software development andmaintenance.</li>
            <li><i>Profession.</i> Software engineers shall advance the integrity and reputation of theprofession consistent 
            with the public interest.</li>
            <li><i>Colleagues.</i> Software engineers shall be fair to and supportive of their colleagues.</li>
            <li><i>Self.</i> Software engineers shall participate in lifelong learning regarding the practiceof their 
            profession and shall promote an ethical approach to the practice of theprofession.</li>

        </ol>

    </body>
</html>